﻿--Global Variables (most are already localized by WoW

TITLE = '|cFFFFFFFF<|cFF00FFFFTradeJunkie|cFFFFFFFF>|r'
playerFaction = UnitFactionGroup("player")
playerGender = UnitSex("player")

homeFactionSuffix = (playerFaction == "Alliance") and "A" or "H"
opposingFactionSuffix = (playerFaction == "Alliance") and "H" or "A"
homeFactionText = (playerFaction == "Alliance") and FACTION_ALLIANCE or FACTION_HORDE
opposingFactionText = (playerFaction == "Alliance") and FACTION_HORDE or FACTION_ALLIANCE

--Mining has no spell ID to reference .. had to go with normal Localization.

MINING = {
	deDE = 'Bergbau',
	frFR = 'Minage',
	zhCN = '采矿',
	zhTW = '採礦',
	koKR = '채광',
	esES = 'Minería',
	ruRU = 'Горное дело',
	enUS = 'Mining',
	enGB = 'Mining'
}

if (GetLocale() == deDE) then
	
else
	VERSION = 'Version'

-- Vendors
	fmtSourceVendor = "Bought from %s in %s."
	fmtSourceVendorLimited = "Bought from %s in %s (%s Limited Stock)."
	fmtSourceVendorUnknown = "Bought from vendor."
-- Faction vendor
	fmtSourceFactionVendor = "Requires %s - %s. Bought from %s in %s."
-- World drops
	fmtWorldDrop = "World drop from level %s mobs."
	fmtWorldDropUnknown = "World drop."
-- Quest rewards
	fmtQuestRewardNC = "Quest reward for \"%s\" given by %s in %s."
	fmtQuestRewardUnknown = "Quest reward."
-- Event/Chest rewards
	fmtEventDrop = "Attained from %s during the %s event."
-- Mob Drops
	fmtMobDrop = "Drops from %s in %s."
-- Trainer
	fmtTrainerUnknown = "Learned from trainer."
-- Auction house
	fmtAuctionHouse = "Purchased from Auction House."
-- Crafted by
	fmtCrafted = "Plans crafted by %s."
-- Other
	other = "%s"
-- Discovery
	fmtDiscovery = "Learned through discovery."
-- Starter
	fmtStarter = "Learned when you purchase the tradeskill."
end
	
