VER = '5.0B2'

local DisplayItems = 10
local ShowAll
local playerFaction, playerClass, playerSpecialization
local firstShow
local lastTradeSkill, currentTradeSkill
local TradeIcon
local TSnum = 0
local knownTradeskills = {}
local Specialization = 0
local TradeskillCount = {}
local name = UnitName('player');
local itemId

TJ_Settings = {};
TJ_Settings.AShow = '0';
TJ_Settings.AOpen = '0';
TJCollect = {};


-- Turn localized Tradeskill names into English --

local function GetSpellID(spellName)
	local spellLink = GetSpellLink(spellName);
	if (not(spellLink)) then return -1; end
	local found, _, ID = string.find(spellLink, "^|c%x+|Hspell:(.+)|h%[.+%]");
	return tonumber(ID)
end

local function GetTradeSkillLocaleName(spellName)
	if (GetSpellID(spellName) == 2018 or GetSpellID(spellName) == 9785 or GetSpellID(spellName) == 3538 or GetSpellID(spellName) == 3100 or GetSpellID(spellName) == 29844 or GetSpellID(spellName) == 51300) then
       return "Blacksmithing"
   end
   if (GetSpellID(spellName) == 2259 or GetSpellID(spellName) == 11611 or GetSpellID(spellName) == 3464 or GetSpellID(spellName) == 3101 or GetSpellID(spellName) == 28596 or GetSpellID(spellName) == 51304) then
       return "Alchemy"
   end
   if (GetSpellID(spellName) == 2550 or GetSpellID(spellName) == 18260 or GetSpellID(spellName) == 3413 or GetSpellID(spellName) == 3102 or GetSpellID(spellName) == 33359 or GetSpellID(spellName) == 51296) then
       return "Cooking"
   end
   if (GetSpellID(spellName) == 3273 or GetSpellID(spellName) == 10846 or GetSpellID(spellName) == 7924 or GetSpellID(spellName) == 3274 or GetSpellID(spellName) == 27028 or GetSpellID(spellName) == 45542) then
       return "FirstAid"
   end
   if (GetSpellID(spellName) == 7411 or GetSpellID(spellName) == 13920 or GetSpellID(spellName) == 7413 or GetSpellID(spellName) == 7412 or GetSpellID(spellName) == 28029 or GetSpellID(spellName) == 51313) then
       return "Enchanting"
   end
   if (GetSpellID(spellName) == 4036 or GetSpellID(spellName) == 12656 or GetSpellID(spellName) == 4038 or GetSpellID(spellName) == 4037 or GetSpellID(spellName) == 30350 or GetSpellID(spellName) == 51306) then
      return "Engineering"
   end
   if (GetSpellID(spellName) == 25229 or GetSpellID(spellName) == 28895 or GetSpellID(spellName) == 28894 or GetSpellID(spellName) == 25230 or GetSpellID(spellName) == 28897 or GetSpellID(spellName) == 51311) then
       return "Jewelcrafting"
   end
   if (GetSpellID(spellName) == 3908 or GetSpellID(spellName) == 12180 or GetSpellID(spellName) == 3910 or GetSpellID(spellName) == 3909 or GetSpellID(spellName) == 26790 or GetSpellID(spellName) == 51309) then
       return 'Tailoring'
   end   			
   if (GetSpellID(spellName) == 2108 or GetSpellID(spellName) == 10662 or GetSpellID(spellName) == 3811 or GetSpellID(spellName) == 3104 or GetSpellID(spellName) == 32549 or GetSpellID(spellName) == 51302) then
       return 'Leatherworking'
   end
   if (GetSpellID(spellName) == 45357 or GetSpellID(spellName) == 45358 or GetSpellID(spellName) == 45359 or GetSpellID(spellName) == 45360 or GetSpellID(spellName) == 45361 or GetSpellID(spellName) == 45363) then
   	  return 'Inscription'
   end
   if (GetSpellID(spellName) == 2656) then
   	return 'Smelting'
   end
   if (spellName == MINING[GetLocale()]) then
   	return 'Mining'
   end
end

function TJ_Option(arg)
	local op = string.lower(arg);
	if (op == 'open') then
		if TJ_Settings.AOpen == '1' then
			TJ_Settings.AOpen = '0';
			DEFAULT_CHAT_FRAME:AddMessage('TradeJunkie Auto Open has been disabled.',0,.5,1);
		else
			TJ_Settings.AOpen = '1';
			DEFAULT_CHAT_FRAME:AddMessage('TradeJunkie Auto Open has been enabled.',0,.5,1);
		end
	elseif (op == 'sp') then
		TradeJunkie_Attach("JobberFrame");
	else
		DEFAULT_CHAT_FRAME:AddMessage('TradeJunkie Database Date: ' .. TradeJunkie.RecipeDate,0,.8,1);
		DEFAULT_CHAT_FRAME:AddMessage('TradeJunkie usage: /TJ arg',0,.8,1);
		DEFAULT_CHAT_FRAME:AddMessage('- /tj open = Toggles auto opening of TradeJunkie when a tradeskill is opened.',0,.8,1);
	end
end

function TradeJunkie_OnLoad(self)

	SlashCmdList["TRADEJUNKIE"] = TJ_Option;
	SLASH_TRADEJUNKIE1 = "/tradejunkie";
	SLASH_TRADEJUNKIE2 = "/tj";
	
	self:RegisterEvent("SPELLS_CHANGED")
	self:RegisterEvent("TRADE_SKILL_CLOSE")
	self:RegisterEvent("TRADE_SKILL_UPDATE")
	self:RegisterEvent("TRADE_SKILL_SHOW")
	self:RegisterEvent("PLAYER_LOGIN");
	self:RegisterEvent("TRAINER_SHOW");
	self:RegisterEvent("BAG_UPDATE");
	_, playerClass = UnitClass("player")
	playerFaction = UnitFactionGroup("player")
	if(AdjustOpenButtonForAC and AC_UseButton) then
		AdjustOpenButtonForAC()
	end
	
	TradeJunkie_OnLoad=nil
	
	firstShow = 0;
	
	DEFAULT_CHAT_FRAME:AddMessage(TITLE .. ' ' .. VERSION ..' ' .. VER .. ' loaded.')
	DEFAULT_CHAT_FRAME:AddMessage(TITLE .. ' Database date: ' .. TradeJunkie.RecipeDate)
end

local function HideTradeJunkie()
		TradeJunkieMain:Hide();
end

function showskill()
	for i=1, TSnum do DEFAULT_CHAT_FRAME:AddMessage(knownTradeskills[i]); end
end

function TradeJunkie_OnEvent(event, arg1)  
	if (event == "SPELLS_CHANGED") then
		TradeJunkie.LearnData = {};
		TSnum = 0
		local _, _, _, numSpells = GetSpellTabInfo(1);
	
		for i = 1, numSpells, 1 do
   			local spellName, spellRank = GetSpellName(i, BOOKTYPE_SPELL)
   			
   			if (GetTradeSkillLocaleName(spellName) == 'Blacksmithing') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Blacksmithing'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Alchemy') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Alchemy'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Cooking') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Cooking'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'FirstAid') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'FirstAid'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Enchanting') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Enchanting'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Engineering') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Engineering'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Jewelcrafting') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Jewelcrafting'
   			end
  			if (spellName == MINING or GetTradeSkillLocaleName(spellName) == 'Smelting') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Mining'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Tailoring') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Tailoring'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Leatherworking') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Leatherworking'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Inscription') then
   			  TSnum = TSnum + 1
   			  knownTradeskills[TSnum] = 'Inscription'
   			end
   			  
   				
   			
   			-- Following spell IDs are for Specialization
        end
        
		
		for i=1, TSnum do GetDBInfo(knownTradeskills[i]); end
   		for tradeSkill, skillLearnData in pairs(TradeJunkie.LearnData) do
   			local count = 0
			for entryID, entryData in pairs(skillLearnData) do
				count = count + 1
				entryData.name = GetSpellInfo(entryID)
				entryData.ID = entryID
			end
			TradeskillCount[tradeSkill] = count
		end
	end	
	if ((event == 'TRADE_SKILL_CLOSE') and TradeJunkieMain:IsVisible()) then
		lastTradeSkill = currentTradeSkill;
		TradeJunkieMain:Hide()
	elseif ((event == 'TRADE_SKILL_UPDATE') and TradeJunkieMain:IsVisible()) then
		TradeJunkieMain:Hide()
		ShowTradeJunkie(1)
	elseif (event == 'TRADE_SKILL_SHOW') then
		if (string.find(arg1,'trade') == 1) then
			TJ_OpenButtonTradeSkill:Hide();
			DEFAULT_CHAT_FRAME:AddMessage(LinkTradeskill);
		else
			TJ_OpenButtonTradeSkill:Show();
			if (TJ_Settings.AOpen == '1') then 
				if(IsAddOnLoaded('Jobber')) then
					TradeJunkie_Attach("JobberFrame")
				else
					TradeJunkie_Attach("TradeSkillFrame")
				end
			end
		end
	elseif (event == "ADDON_LOADED") then
		local addon=string.lower(arg1)		
	end

	if (event == 'PLAYER_LOGIN') then	
		TradeSkillFrame_LoadUI();
		
		if(IsAddOnLoaded('Jobber')) then
			TJ_Button = CreateFrame("BUTTON","TJ_OpenButtonTradeSkill",JobberFrame,"UIPanelButtonTemplate");
		else
			TJ_Button = CreateFrame("BUTTON","TJ_OpenButtonTradeSkill",TradeSkillFrame,"UIPanelButtonTemplate");
		end
		TJ_Button:SetFrameStrata('MEDIUM');
		if(IsAddOnLoaded('Jobber')) then
			TJ_Button:SetPoint("TOPLEFT",JobberFrame,"TOPRIGHT", -105, -97);
		else
			TJ_Button:SetPoint("TOPLEFT",TradeSkillFrame,"TOPRIGHT", -118, -14);
		end
		TJ_Button:SetHeight(19);
		TJ_Button:SetWidth(58);
		TJ_Button:SetText('Junkie');
		TJ_Button:Show();
		if(IsAddOnLoaded('Jobber')) then
			TJ_Button:SetScript("OnClick",function (self) TradeJunkie_Attach("JobberFrame"); end);
		else
			TJ_Button:SetScript("OnClick",function (self) TradeJunkie_Attach("TradeSkillFrame"); end);
		end
		TJ_Button:Hide();
		
        -- Prep the databases that we need for each specific Tradeskill that the player has.
		local _, _, _, numSpells = GetSpellTabInfo(1);
	
		for i = 1, numSpells, 1 do
			local spellName, spellRank = GetSpellName(i, BOOKTYPE_SPELL)	
   			
				   			
   			if (GetTradeSkillLocaleName(spellName) == 'Blacksmithing') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Blacksmithing'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Alchemy') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Alchemy'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Cooking') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Cooking'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'FirstAid') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'FirstAid'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Enchanting') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Enchanting'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Engineering') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Engineering'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Jewelcrafting') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Jewelcrafting'
   			end
  			if (spellName == MINING or GetTradeSkillLocaleName(spellName) == 'Smelting') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Mining'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Tailoring') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Tailoring'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Leatherworking') then
   				TSnum = TSnum + 1
   				knownTradeskills[TSnum] = 'Leatherworking'
   			end
   			if (GetTradeSkillLocaleName(spellName) == 'Inscription') then
   			  TSnum = TSnum + 1
   			  knownTradeskills[TSnum] = 'Inscription'
   			end
   			
   			-- Following spell IDs are for Specialization
        end
        
		
		for i=1, TSnum do GetDBInfo(knownTradeskills[i]); end
   		for tradeSkill, skillLearnData in pairs(TradeJunkie.LearnData) do
   			local count = 0
			for entryID, entryData in pairs(skillLearnData) do
				count = count + 1
				entryData.name = GetSpellInfo(entryID)
				entryData.ID = entryID
			end
			TradeskillCount[tradeSkill] = count
		end
	end
end

function TradeJunkieShowAll_Checkbox()
	ShowAll = TradeJunkieShowAll:GetChecked()
	if ShowAll then
		TJ_Settings.AShow = '1';
	else
		TJ_Settings.AShow = '0';
	end
	HideTradeJunkie();
	ShowTradeJunkie(1);
end

function TradeJunkie_Attach(attachTo)
	if ( TradeJunkieMain:IsVisible()) then
		TradeJunkieMain:Hide();
	else
		TradeJunkieMain:SetPoint("TOPLEFT", attachTo, "TOPRIGHT", -34.5, -13)
		ShowTradeJunkie();
	end
end

--local currentTradeSkill
local currentRank
local dbTable
local dbTableLocal = {}
local localizedName

local function UpdateCurrentTradeSkill()
	if (GetTradeSkillLine() == GetSpellInfo(3273)) then
		currentTradeSkill = 'FirstAid'
    else
		currentTradeSkill=GetTradeSkillLocaleName(GetTradeSkillLine())
	end
	local _
	localizedName, currentRank=GetTradeSkillLine()
	
	dbTableLocal = {};
	dbTable=TradeJunkie.LearnData[currentTradeSkill]
	for RecipeLink, RecipeData in pairs(dbTable) do
		RecipeNameLocal = RecipeData.name
		dbTableLocal[RecipeNameLocal]=RecipeData
		dbTableLocal[RecipeNameLocal].name=RecipeNameLocal
	end
end

local skillsKnown
local skillsInDB
local showList={}
local foundUnlearned

local function ByLevelThenByName(a, b)
	return (a.level == b.level) and (a.name < b.name) or (a.level < b.level)
end

local function UpdateShowList()
	UpdateCurrentTradeSkill()
	skillsInDB=0
	for skillNameLink, skillLearnData in pairs(dbTableLocal) do skillLearnData.known=nil skillsInDB=skillsInDB+1 end
	skillsKnown=0
	TradeJunkie.ExpandAllTradeskill()
	
	for a=1, GetNumTradeSkills() do
		local skillName, skillType, numAvailable, isExpanded, _
	
		skillName, skillType, numAvailable, isExpanded = GetTradeSkillInfo(a)
		
		if(not(skillType == "header")) then
			skillsKnown = skillsKnown + 1
			local skillRecipeLink = GetTradeSkillRecipeLink(a)

			if(dbTableLocal[skillName]) then
				dbTableLocal[skillName].known=true
				if(dbTableLocal[skillName].specialization) then playerSpecialization = dbTableLocal[skillName].specialization end
			end
			if(dbTableLocal[skillRecipeLink]) then
				dbTableLocal[skillRecipeLink].known=true
				if(dbTableLocal[skillRecipeLink].specialization) then playerSpecialization = dbTableLocal[skillName].specialization end
			end
		end
	end
	TradeJunkie.RestoreAllTradeskill()
	foundUnlearned=0
	local showListPrevLength=#showList
	for skillNameLink, skillLearnData in pairs(dbTableLocal) do
		if((not skillLearnData.known) and (not (skillLearnData.specialization and skillLearnData.specialization ~= playerSpecialization)) and (not (skillLearnData.class and skillLearnData.class ~= playerClass)) and (ShowAll or (skillLearnData.level <= currentRank) and (not (skillLearnData.side and skillLearnData.side ~= playerFaction)))) then
 			foundUnlearned = foundUnlearned + 1
			showList[foundUnlearned]=skillLearnData
		end
	end
	for idx=foundUnlearned+1, showListPrevLength do showList[idx]=nil end
	table.sort(showList, ByLevelThenByName)
end

local function RedrawRecipeButton(enchantLink)
	if(enchantLink) then
        TradeJunkie.recipeEnchantLink = enchantLink
            
        if currentTradeSkill == 'Leatherworking' then TradeIcon = 'interface/Icons/INV_Misc_ArmorKit_17'; end
        if currentTradeSkill == 'Blacksmithing' then TradeIcon = 'interface/Icons/Trade_BlackSmithing'; end
        if currentTradeSkill == 'Tailoring' then TradeIcon = 'interface/Icons/Trade_Tailoring'; end
        if currentTradeSkill == 'Alchemy' then TradeIcon = 'interface/Icons/Trade_Alchemy'; end
        if currentTradeSkill == 'Cooking' then TradeIcon = 'interface/Icons/INV_Misc_Food_15'; end
        if currentTradeSkill == 'Enchanting' then TradeIcon = 'interface/Icons/Trade_Engraving'; end
        if currentTradeSkill == 'Engineering' then TradeIcon = 'interface/Icons/Trade_Engineering'; end
        if currentTradeSkill == 'FirstAid' then TradeIcon = 'interface/Icons/Spell_Holy_SealOfSacrifice'; end
        if currentTradeSkill == 'Jewelcrafting' then TradeIcon = 'interface/Icons/INV_Misc_Gem_01'; end
        if currentTradeSkill == 'Mining' then TradeIcon = 'interface/Icons/Spell_Fire_FlameBlades'; end
            
        TradeJunkieShowRecipeButton:SetNormalTexture(TradeIcon)
        TradeJunkieShowRecipeButton:Show();
	else
		TradeJunkieShowRecipeButton:Hide();
		TradeJunkie.recipeItemLink=nil
        TradeJunkie.recipeEnchantLink=nil
	end
end

function ShowTradeJunkie(noClick)
	UpdateShowList()
	if(currentTradeSkill ~= lastTradeSkill) then
		firstShow = 0
	end
	TradeJunkieTitle:SetText('TradeJunkie: '..localizedName);
    TradeJunkieMain:Show();
	TradeJunkieScrollBar_Update();
	if(not noClick and firstShow == 0) then 
		if TJ_Settings.AShow == '1' then
			TradeJunkieShowAll:SetChecked(true);
			TradeJunkieShowAll_Checkbox();
		end
		TradeJunkieEntry_Click('1'); 
		firstShow = 1;
	end
	TradeJunkieCounter:SetText(skillsKnown);
	TradeJunkieCounterTotal:SetText(skillsInDB);
end

function TradeJunkieScrollBar_Update()
	local scrollBar=TradeJunkieScrollBar
	local levelColor

	FauxScrollFrame_Update(scrollBar, foundUnlearned, DisplayItems, 16);
	local offset=FauxScrollFrame_GetOffset(scrollBar)
	for line=1, DisplayItems do
		local lineplusoffset = line + offset;
		local lineButton=getglobal("TradeJunkieEntry"..line)
		local lineSkillData=showList[lineplusoffset]
		if lineplusoffset < foundUnlearned + 1 then
			if lineSkillData.level <= currentRank then
				levelColor = '|cFF00FF00';
			else
				levelColor = '|cFFFF0000';
			end
			lineButton:SetText('|cFFFFFFFF['..levelColor..lineSkillData.level..'|cFFFFFFFF]|cFF0DF7DE '..lineSkillData.name);
			lineButton.skillData=lineSkillData
			lineButton:Show();
			if lineSkillData.name == TradeJunkieSkillName:GetText() then
				lineButton:LockHighlight();
			else
				lineButton:UnlockHighlight();
			end
		else
			lineButton.skillData=nil
			lineButton:Hide();
		end
	end

end

function TradeJunkieEntry_Click(arg)
	local skillData=getglobal("TradeJunkieEntry"..arg).skillData
	if(not currentTradeSkill) then return end
	if(not skillData) then
		TradeJunkieSkillName:SetText('')
		TradeJunkieSkillLevel:SetText('')
		TradeJunkieSkillLearn:SetText('')
		TradeJunkieShowRecipeButton:SetText('')
		return
	end

	local dbTableEntry=dbTableLocal[name]
	if(skillData.level <= currentRank) then
		levelColor = '|cFF00FF00';
	else
		levelColor = '|cFFFF0000';
	end

	TradeJunkieSkillName:SetText(skillData.name);
	TradeJunkieSkillLevel:SetText('Skill Level Required: ' .. levelColor .. skillData.level)
	local noCache
	if(not skillData.learn) then skillData.learn, noCache = TradeJunkie.GetLearnText(skillData) or "" end
	TradeJunkieSkillLearn:SetText(skillData.learn)
	if(noCache) then skillData.learn = nil end
    recipeEnchantName = skillData.name;
    TradeJunkie.recipeItemLink = skillData.recipeItemLink;
	RedrawRecipeButton(skillData.ID)
	TradeJunkieScrollBar_Update();
end

function TradeJunkie.OnEnter()
	RedrawRecipeButton(TradeJunkie.recipeEnchantLink)
	if(TradeJunkie.recipeEnchantLink) then
		GameTooltip:SetOwner(this, "ANCHOR_RIGHT")
      GameTooltip:SetHyperlink("enchant:"..TradeJunkie.recipeEnchantLink)
	end
end

function TradeJunkie.OnClick()
	RedrawRecipeButton(TradeJunkie.recipeEnchantLink)
	if(TradeJunkie.recipeEnchantLink) then
        if(IsControlKeyDown()) then
            if(TradeJunkie.recipeItemLink) then
                local _, itemLink = GetItemInfo(TradeJunkie.recipeItemLink)
                DressUpItemLink(itemLink)
            else
                DEFAULT_CHAT_FRAME:AddMessage('Item ID not found, or item has no graphic to display.',0,1,1);
            end
        end
		if(IsShiftKeyDown()) then
            local itemNameP1 =GetTradeSkillLine()
			if(TradeJunkie.recipeEnchantLink) then
                eLink = "|cffffd000|Henchant:" .. TradeJunkie.recipeEnchantLink .. "|h[".. itemNameP1 ..": ".. recipeEnchantName .."]|h|r";
				ChatEdit_InsertLink(eLink)
			end
		end
	end
	if(TradeJunkie.recipeItemLink and GetItemInfo(TradeJunkie.recipeItemLink)) then
        GameTooltip:SetHyperlink("enchant:"..TradeJunkie.recipeEnchantLink)
	end
end