local expanded={}
local expandedCount = 0

local function GetFactionStanding(factionName)
	local foundStanding
	for idx = GetNumFactions(), 1, -1 do
		local name, description, standingID, barMin, barMax, barValue, atWarWith, canToggleAtWar, isHeader, isCollapsed, isWatched = GetFactionInfo(idx)
		if(not isHeader and name == factionName) then
			if(expandedCount == 0) then
				return standingID
			else
				foundStanding = standingID
				break
			end
		elseif(isHeader and isCollapsed) then
			ExpandFactionHeader(idx)
			expandedCount = expandedCount + 1
			expanded[expandedCount] = idx
		end
	end
	if(not foundStanding) then
		if(expandedCount == 0) then return nil end
		for idx = GetNumFactions(), 1, -1 do
			local name, description, standingID, barMin, barMax, barValue, atWarWith, canToggleAtWar, isHeader, isCollapsed, isWatched = GetFactionInfo(idx)
			if(not isHeader and name == factionName) then
				foundStanding = standingID
				break
			end
        	end
	end
	for idx = expandedCount, 1, -1 do
		CollapseFactionHeader(expanded[idx])
		expanded[idx] = nil
	end
	expandedCount = 0
	return foundStanding
end

if(not TradeJunkie) then TradeJunkie={} end
TradeJunkie.GetFactionStanding=GetFactionStanding